[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBComboBox.DataChange

DataChange - updates the text if it has changed.

## Declaration

Source position: dbctrls.pp line 793

`protected procedure TDBComboBox.DataChange(`
`Sender: TObject`
`); override;`

## Arguments

`Sender` |  | Object for the event notification.

## Description

DataChange is an overridden method used to perform actions needed when the value in the linked dataset has been changed. DataChange uses the Field property from the data link (when assigned) to get the current value stored in the Text property for the control. If Field has not been assigned, or the dataset is not active, the value in Text is set to an empty string ('').

DataChange is assigned as the OnDataChange event handler in the internal TFieldDataLink instance used in the control.

## See also

TCustomDBComboBox.Text |  | The value in the edit box for the control.
TCustomDBComboBox.Field |  | Contains the field definition from the linked dataset.
TCustomDBComboBox.DataChange |  | DataChange - updates any changes in text.
TFieldDataLink.Field |  | The Field to which the datalink is attached.
TFieldDataLink.OnDataChange |  | Event handler signalled when the field data link has been changed.
TField